#
# Conditional build:
%bcond_without	lash		# LASH support (GPL)
%bcond_with	midishare	# MidiShare support
%bcond_without	portaudio	# portaudio support
%bcond_without	readline	# readline line editing (GPL)
#
Summary:	FluidSynth - a software, real-time synthesizer
Summary(pl.UTF-8):	FluidSynth - programowy syntezator działający w czasie rzeczywistym
Name:		fluidsynth
Version:	2.0.6
Release:	2
%if %{with lash} || %{with readline}
License:	GPL v2+ (enforced by lash/readline), LGPL v2+ (fluidsynth itself)
%else
License:	LGPL v2+
%endif
Group:		Applications/Sound
#Source0Download: https://github.com/FluidSynth/fluidsynth/releases
Source0:	https://github.com/FluidSynth/fluidsynth/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7ffb3df1e9b6e71cb2cb15b4608cc8c9
URL:		http://www.fluidsynth.org/
BuildRequires:	alsa-lib-devel >= 0.9.1
BuildRequires:	cmake >= 3.1.0
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.6.5
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	ladspa-devel
%{?with_lash:BuildRequires:	lash-devel >= 0.3}
# OpenMP 4.0
BuildRequires:	libgomp-devel >= 6:4.9
BuildRequires:	libsndfile-devel >= 1.0.18
%{?with_midishare:BuildRequires:	midishare-devel}
BuildRequires:	pkgconfig
%{?with_portaudio:BuildRequires:	portaudio-devel >= 19}
BuildRequires:	pulseaudio-devel >= 0.9.8
%{?with_readline:BuildRequires:	readline-devel}
BuildRequires:	rpmbuild(macros) >= 1.213
Requires:	alsa-lib >= 0.9.1
Requires:	glib2 >= 1:2.6.5
Requires:	libsndfile >= 1.0.18
Suggests:	soundfont-fluid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fluid Synth is a software, real-time synthesizer based on the
Soundfont 2 specifications.

%description -l pl.UTF-8
Fluid Synth to programowy, działający w czasie rzeczywistym syntezator
oparty na specyfikacji Soundfont 2.

%package devel
Summary:	Development files for the FluidSynth
Summary(pl.UTF-8):	Pliki nagłówkowe dla FluidSynth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel >= 0.9.1
Requires:	dbus-devel >= 1.0.0
Requires:	glib2-devel >= 1:2.6.5
Requires:	jack-audio-connection-kit-devel
%{?with_lash:Requires:	lash-devel >= 0.3}
Requires:	libsndfile-devel >= 1.0.18
%{?with_midishare:Requires: midishare-devel}
Requires:	portaudio-devel >= 19
Requires:	pulseaudio-devel >= 0.9.8
%{?with_readline:Requires: readline-devel}
Obsoletes:	fluidsynth-devel < 2

%description devel
This package contains the header files necessary to develop
applications using FluidSynth.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe potrzebne do tworzenia i
kompilacji aplikacji korzystających z bibliotek FluidSynth.

%prep
%setup -q

%build
mkdir -p build
cd build
%cmake .. \
	-Denable-midishare=%{with midishare} \
	-Denable-lash=%{with lash} \
	-Denable-portaudio=%{with portaudio} \
	-Denable-readline=%{with readline}

# define missing in autotools suite
echo '#define DEFAULT_SOUNDFONT "%{_datadir}/soundfonts/default.sf2"' >> src/config.h

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

cd build
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md THANKS TODO
%attr(755,root,root) %{_bindir}/fluidsynth
%attr(755,root,root) %{_libdir}/libfluidsynth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfluidsynth.so.2
%{_mandir}/man1/fluidsynth.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfluidsynth.so
%{_includedir}/fluidsynth.h
%{_includedir}/fluidsynth
%{_pkgconfigdir}/fluidsynth.pc
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fluidsynth.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 6028d2e
- release 2 (by relup.sh)

* Fri Aug 30 2019 Marcin Krol <hawk@tld-linux.org> 0672ba8
- updated to 2.0.6

* Sat Apr 20 2019 Jakub Bogusz <qboosh@pld-linux.org> ef862a8
- updated to 2.0.5

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> e2b99d1
- updated to 2.0.4, obsolete dropped -static package

* Mon Nov 19 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 2566f65
- Version: 2.0.2 (soname change)

* Sun Dec 17 2017 Jakub Bogusz <qboosh@pld-linux.org> c2d1ce4
- updated to 1.1.8
- added soname patch (fix broken lt versioning)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> c67efc3
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Wed Oct 14 2015 Jakub Bogusz <qboosh@pld-linux.org> b3f90a7
- updated to 1.1.6

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> 61dee8d
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2a60fc6
- updated gettext BR

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 6be7ee5
- release 2

* Sun Dec 18 2011 Jakub Bogusz <qboosh@pld-linux.org> e389d9b
- added lash bcond, note GPL license if built with ladcca/lash or readline
- added midishare patch and bcond (off by default as midishare is unfinished in PLD)

* Sat Dec 17 2011 Jakub Bogusz <qboosh@pld-linux.org> c0296b5
- updated dependencies (added glib2, dbus; updated versions)
- dropped bogus --enable-coreaudio (CoreAudio is Mac specific)

* Tue Sep 06 2011 lisu <lisu@pld-linux.org> c3ee7f4
- updated to 1.1.5
- bump version of soname

* Tue Aug 30 2011 lisu <lisu@pld-linux.org> b39623e
- updated to 1.1.4
- version of soname has been changed

* Tue May 17 2011 lisu <lisu@pld-linux.org> 9d0c592
- updated to 1.1.3
- new Source0 URL

* Tue Apr 12 2011 lisu <lisu@pld-linux.org> 1355757
- drop libtool file
- rel 3

* Sun Feb 27 2011 Karol Krenski <charles@pld-linux.org> e690dbb
- updated BRs/Rs

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 45acf03
- release 2

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 38142a2
- BR: gettext-devel, glib2-devel

